


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; d2o Python Library 1.0 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
    <link rel="top" title="d2o Python Library 1.0 documentation" href="index.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> d2o Python Library
          

          
          </a>

          
            
            
              <div class="version">
                1.0
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="simple">
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">d2o Python Library</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          





<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
      
    <li></li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#V"><strong>V</strong></a>
 | <a href="#W"><strong>W</strong></a>
 | <a href="#X"><strong>X</strong></a>
 | <a href="#Z"><strong>Z</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.errors.absolute_error">absolute_error() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.add_mav">add_mav() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.add_padding">add_padding() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.add_query">add_query() (in module d2o.database)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.add_vspan">add_vspan() (d2o.analyze.changedetection.Period method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMask.apply">apply() (d2o.learn.nn.masks.IndexMask method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMask.apply_serialize">apply_serialize() (d2o.learn.nn.masks.IndexMask method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.astimezone">astimezone() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.autocorrelation">autocorrelation() (in module d2o.analyze.correlation)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.autocorrelation">(in module d2o.analyze.correlation_m)</a>
  </dt>

      </dl></dd>
  </dl></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.bpn.BackpropagationNetwork">BackpropagationNetwork (class in d2o.learn.nn.bpn)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.calculate_change_windows">calculate_change_windows() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.calculate_changepoints">calculate_changepoints() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.calculate_zscores">calculate_zscores() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.cast">cast() (in module d2o.database)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.check_timestamps">check_timestamps() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.combine">combine() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.utils.html#d2o.utils.putils.combine">(in module d2o.utils.putils)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.CorrealtionTests">CorrealtionTests (class in d2o.analyze.correlation)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.CorrealtionTests">(class in d2o.analyze.correlation_m)</a>
  </dt>

      </dl></dd>
  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.correlation_matrix">correlation_matrix() (in module d2o.analyze.correlation)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.correlation_matrix">(in module d2o.analyze.correlation_m)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.html#d2o.season_plotter.SeasonPlotter.create_animation">create_animation() (d2o.season_plotter.SeasonPlotter method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.create_insert_strings">create_insert_strings() (in module d2o.database)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.create_labels">create_labels() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.season_plotter.SeasonPlotter.create_plots">create_plots() (d2o.season_plotter.SeasonPlotter method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.cross_corr_df">cross_corr_df() (in module d2o.analyze.correlation_m)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.ctime">ctime() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#module-d2o">d2o (module)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#module-d2o.analyze">d2o.analyze (module)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#module-d2o.analyze.changedetection">d2o.analyze.changedetection (module)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#module-d2o.analyze.correlation">d2o.analyze.correlation (module)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#module-d2o.analyze.correlation_m">d2o.analyze.correlation_m (module)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#module-d2o.analyze.fourier">d2o.analyze.fourier (module)</a>
  </dt>

      
  <dt><a href="d2o.data.html#module-d2o.data">d2o.data (module)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#module-d2o.data.db">d2o.data.db (module)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#module-d2o.data.db.mssql">d2o.data.db.mssql (module)</a>
  </dt>

      
  <dt><a href="d2o.html#module-d2o.database">d2o.database (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.html#module-d2o.learn">d2o.learn (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn">d2o.learn.nn (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.bpn">d2o.learn.nn.bpn (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.d2o_mask_factory">d2o.learn.nn.d2o_mask_factory (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.datasets">d2o.learn.nn.datasets (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.maskfactory">d2o.learn.nn.maskfactory (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.masks">d2o.learn.nn.masks (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.runner">d2o.learn.nn.runner (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.trainer">d2o.learn.nn.trainer (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#module-d2o.learn.nn.transfer_functions">d2o.learn.nn.transfer_functions (module)</a>
  </dt>

      
  <dt><a href="d2o.prep.html#module-d2o.prep">d2o.prep (module)</a>
  </dt>

      
  <dt><a href="d2o.prep.html#module-d2o.prep.scaling">d2o.prep.scaling (module)</a>
  </dt>

      
  <dt><a href="d2o.html#module-d2o.season_plotter">d2o.season_plotter (module)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#module-d2o.utils">d2o.utils (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.calc">d2o.utils.calc (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.email">d2o.utils.email (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.errors">d2o.utils.errors (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.handlers">d2o.utils.handlers (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.logger">d2o.utils.logger (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.putils">d2o.utils.putils (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.systools">d2o.utils.systools (module)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#module-d2o.utils.timeout">d2o.utils.timeout (module)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.d2o_mask_factory.d2oMaskFactory">d2oMaskFactory (class in d2o.learn.nn.d2o_mask_factory)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database">Database (class in d2o.database)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset">Dataset (class in d2o.learn.nn.datasets)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.date">date() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.days">days (d2o.learn.nn.masks.IndexMaskTest.timedelta attribute)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.dbg">dbg() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.debug">debug() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.define_periods">define_periods() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.df">df (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.disable_colors">disable_colors() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.disable_inspection">disable_inspection() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.disable_logging">disable_logging() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.distance">distance() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.dst">dst() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.earliest_date">earliest_date() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.earliest_date_for_segment">earliest_date_for_segment() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.earliest_forecasting_date">earliest_forecasting_date() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.email.Email">Email (class in d2o.utils.email)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.enable_colors">enable_colors() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.enable_inspection">enable_inspection() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.enable_logging">enable_logging() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.err">err() (in module d2o.utils.logger)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.logger.error">error() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.handlers.ExceptionHandler">ExceptionHandler (class in d2o.utils.handlers)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.execute">execute() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.execute_raw">execute_raw() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.expand_date_index">expand_date_index() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.expired_networks">expired_networks() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.calc.exponential_decay">exponential_decay() (in module d2o.utils.calc)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.calc.exponential_growth">exponential_growth() (in module d2o.utils.calc)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.logger.fail">fail() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.fourier.fftdf">fftdf() (in module d2o.analyze.fourier)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.file_exists">file_exists() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.file_size">file_size() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.files">files() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.finalize">finalize() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.prep.html#d2o.prep.scaling.Scaler.fit">fit() (d2o.prep.scaling.Scaler method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.float_equal">float_equal() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.forecasting_values">forecasting_values() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.handlers.ExceptionHandler.format">format() (d2o.utils.handlers.ExceptionHandler method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.from_csv">from_csv() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.fromtimestamp">fromtimestamp() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.gaussian">gaussian() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.gaussian_derivative">gaussian_derivative() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.get_closest_in_range">get_closest_in_range() (in module d2o.analyze.changedetection)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.maskfactory.MaskFactory.get_mask">get_mask() (d2o.learn.nn.maskfactory.MaskFactory method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.get_network_results">get_network_results() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.get_parent">get_parent() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.get_path_to_dataset">get_path_to_dataset() (in module d2o.utils.putils)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.has_data">has_data() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.has_segments">has_segments() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.header">header() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.hits">hits() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.hotel_id">hotel_id() (d2o.database.Database method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.hotel_ids">hotel_ids() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.hotel_name">hotel_name() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.hotel_names">hotel_names() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.hour">hour (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.id_to_name">id_to_name() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.impute">impute() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.impute_weekdays">impute_weekdays() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMask">IndexMask (class in d2o.learn.nn.masks)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest">IndexMaskTest (class in d2o.learn.nn.masks)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime">IndexMaskTest.datetime (class in d2o.learn.nn.masks)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta">IndexMaskTest.timedelta (class in d2o.learn.nn.masks)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.info">info() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.input_mask">input_mask (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.d2o_mask_factory.d2oMaskFactory.input_mask">input_mask() (d2o.learn.nn.d2o_mask_factory.d2oMaskFactory method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.input_size">input_size() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.inputs">inputs (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.insert_empty_network">insert_empty_network() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.invalid_networks">invalid_networks() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.invalidate_network">invalidate_network() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.prep.html#d2o.prep.scaling.Scaler.inverse_transform">inverse_transform() (d2o.prep.scaling.Scaler method)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.is_connected">is_connected() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.html#d2o.database.Database.is_connected">(d2o.database.Database method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.utils.html#d2o.utils.errors.is_numeric">is_numeric() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.isoformat">isoformat() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.l">l (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.latest_date">latest_date() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.latest_date_for_segment">latest_date_for_segment() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.latest_forecasting_date">latest_forecasting_date() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMask.layout">layout() (d2o.learn.nn.masks.IndexMask method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.length">length() (d2o.analyze.changedetection.Period method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.linear">linear() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.linear_derivative">linear_derivative() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.load_network">load_network() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.log_message">log_message() (in module d2o.utils.logger)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.errors.mae">mae() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.maindir_abspath">maindir_abspath() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.maindir_realpath">maindir_realpath() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.makedirs">makedirs() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.mape">mape() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.mase">mase() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.maskfactory.MaskFactory">MaskFactory (class in d2o.learn.nn.maskfactory)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.max">max (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.max">(d2o.learn.nn.masks.IndexMaskTest.timedelta attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.merge_equal">merge_equal() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.merge_similar">merge_similar() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.microsecond">microsecond (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.microseconds">microseconds (d2o.learn.nn.masks.IndexMaskTest.timedelta attribute)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.middle">middle() (d2o.analyze.changedetection.Period method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.min">min (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.min">(d2o.learn.nn.masks.IndexMaskTest.timedelta attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.minute">minute (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.MissingNetworkException">MissingNetworkException</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.calc.moving_average">moving_average() (in module d2o.utils.calc)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.calc.moving_average_mat">moving_average_mat() (in module d2o.utils.calc)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.mse">mse() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.msg">msg() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL">MSSQL (class in d2o.data.db.mssql)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.putils.nan_to_none">nan_to_none() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.network_entry_exists">network_entry_exists() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.network_exists">network_exists() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.networks">networks() (d2o.database.Database method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.logger.notify">notify() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.now">now() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.now_string">now_string() (in module d2o.utils.systools)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.systools.on_linux">on_linux() (in module d2o.utils.systools)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.systools.on_windows">on_windows() (in module d2o.utils.systools)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.output_size">output_size() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.putils.pad_dates">pad_dates() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.partial_autocorr">partial_autocorr() (in module d2o.analyze.correlation)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.partial_autocorr">(in module d2o.analyze.correlation_m)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.pd">pd (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.percent_data">percent_data() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.percent_difference">percent_difference() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.percent_error">percent_error() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.percent_hits">percent_hits() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period">Period (class in d2o.analyze.changedetection)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.putils.plot">plot() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.plot_corr">plot_corr() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.plot_hist">plot_hist() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.plot_timeseries">plot_timeseries() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.predictable_segments">predictable_segments() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.print_message">print_message() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.progress">progress() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.pyodbc_connection">pyodbc_connection() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.errors.relative_error">relative_error() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.remove_by_percentage">remove_by_percentage() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.remove_empty_columns">remove_empty_columns() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.remove_networks">remove_networks() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.replace">replace() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.utils.html#d2o.utils.putils.replace">(in module d2o.utils.putils)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.utils.html#d2o.utils.putils.replace_rows">replace_rows() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.resolution">resolution (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.resolution">(d2o.learn.nn.masks.IndexMaskTest.timedelta attribute)</a>
  </dt>

      </dl></dd>
  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.revenue">revenue() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.rgb_string">rgb_string() (d2o.analyze.changedetection.Period method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.rmse">rmse() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.room_nights">room_nights() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector.run">run() (d2o.analyze.changedetection.ZScoreDetector method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.bpn.BackpropagationNetwork.run">(d2o.learn.nn.bpn.BackpropagationNetwork method)</a>
  </dt>

        
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.runner.Runner.run">(d2o.learn.nn.runner.Runner method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.runner.Runner">Runner (class in d2o.learn.nn.runner)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.errors.sapes">sapes() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.scale">scale() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.prep.html#d2o.prep.scaling.Scaler">Scaler (class in d2o.prep.scaling)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.season_plotter.SeasonPlotter">SeasonPlotter (class in d2o.season_plotter)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.second">second (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.seconds">seconds (d2o.learn.nn.masks.IndexMaskTest.timedelta attribute)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.segment_names">segment_names() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.segments">segments() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.select">select() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.select_df">select_df() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.MSSQL.select_raw">select_raw() (d2o.data.db.mssql.MSSQL method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.email.Email.send">send() (d2o.utils.email.Email method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.runner.Runner.serialize">serialize() (d2o.learn.nn.runner.Runner method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.logger.set_log_verbosity">set_log_verbosity() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.set_logdir">set_logdir() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.set_print_verbosity">set_print_verbosity() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.CorrealtionTests.setUp">setUp() (d2o.analyze.correlation.CorrealtionTests method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.CorrealtionTests.setUp">(d2o.analyze.correlation_m.CorrealtionTests method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.bpn.BackpropagationNetwork.shake_weights">shake_weights() (d2o.learn.nn.bpn.BackpropagationNetwork method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.sigmoid">sigmoid() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.sigmoid_derivative">sigmoid_derivative() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.errors.smape">smape() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.smooth_holidays">smooth_holidays() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.start_date">start_date (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.statistics">statistics() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.strptime">strptime() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.success">success() (in module d2o.utils.logger)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.tanh">tanh() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.transfer_functions.tanh_derivative">tanh_derivative() (in module d2o.learn.nn.transfer_functions)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.target_mask">target_mask (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.targets">targets (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.test_apply">test_apply() (d2o.learn.nn.masks.IndexMaskTest method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.CorrealtionTests.test_autocorrelation">test_autocorrelation() (d2o.analyze.correlation.CorrealtionTests method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.CorrealtionTests.test_autocorrelation">(d2o.analyze.correlation_m.CorrealtionTests method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.CorrealtionTests.test_correlation_matrix">test_correlation_matrix() (d2o.analyze.correlation.CorrealtionTests method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.CorrealtionTests.test_correlation_matrix">(d2o.analyze.correlation_m.CorrealtionTests method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.test_inputs">test_inputs() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation.CorrealtionTests.test_partial_autocorr">test_partial_autocorr() (d2o.analyze.correlation.CorrealtionTests method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.CorrealtionTests.test_partial_autocorr">(d2o.analyze.correlation_m.CorrealtionTests method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.test_serialized">test_serialized() (d2o.learn.nn.masks.IndexMaskTest method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.test_targets">test_targets() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.time">time() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.timeout.timeout">timeout() (in module d2o.utils.timeout)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.timeout.TimeoutException">TimeoutException</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.timetuple">timetuple() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.timetz">timetz() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.errors.to_array">to_array() (in module d2o.utils.errors)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.putils.to_json">to_json() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.timedelta.total_seconds">total_seconds() (d2o.learn.nn.masks.IndexMaskTest.timedelta method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.bpn.BackpropagationNetwork.train">train() (d2o.learn.nn.bpn.BackpropagationNetwork method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.bpn.BackpropagationNetwork.train_epoch">train_epoch() (d2o.learn.nn.bpn.BackpropagationNetwork method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.trainer.Trainer.train_epochs">train_epochs() (d2o.learn.nn.trainer.Trainer method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.trainer.Trainer.train_epochs_test">train_epochs_test() (d2o.learn.nn.trainer.Trainer method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.trainer.Trainer">Trainer (class in d2o.learn.nn.trainer)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.training_inputs">training_inputs() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.training_targets">training_targets() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

      
  <dt><a href="d2o.prep.html#d2o.prep.scaling.Scaler.transform">transform() (d2o.prep.scaling.Scaler method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.transform_cross_df">transform_cross_df() (in module d2o.analyze.correlation_m)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.transform_cross_df_d2o">transform_cross_df_d2o() (in module d2o.analyze.correlation_m)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.correlation_m.trim_cross_df">trim_cross_df() (in module d2o.analyze.correlation_m)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.tzinfo">tzinfo (d2o.learn.nn.masks.IndexMaskTest.datetime attribute)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.tzname">tzname() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.putils.unicode_columns">unicode_columns() (in module d2o.utils.putils)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.update">update() (d2o.analyze.changedetection.Period method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.update_color">update_color() (d2o.analyze.changedetection.Period method)</a>
  </dt>

      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.Period.update_pos">update_pos() (d2o.analyze.changedetection.Period method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.utcfromtimestamp">utcfromtimestamp() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.utcnow">utcnow() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.utcoffset">utcoffset() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.datetime.utctimetuple">utctimetuple() (d2o.learn.nn.masks.IndexMaskTest.datetime method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="V">V</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.data.db.html#d2o.data.db.mssql.valid_ip">valid_ip() (in module d2o.data.db.mssql)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.valid_networks">valid_networks() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.datasets.Dataset.validate">validate() (d2o.learn.nn.datasets.Dataset method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.validate_network">validate_network() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.calc.variance">variance() (in module d2o.utils.calc)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.utils.html#d2o.utils.logger.warn">warn() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.utils.html#d2o.utils.logger.warning">warning() (in module d2o.utils.logger)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.write_correlations">write_correlations() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.write_metadata">write_metadata() (d2o.database.Database method)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.html#d2o.database.Database.write_network">write_network() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.write_network_results">write_network_results() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.write_plotdata">write_plotdata() (d2o.database.Database method)</a>
  </dt>

      
  <dt><a href="d2o.html#d2o.database.Database.write_seasons">write_seasons() (d2o.database.Database method)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="X">X</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.learn.nn.html#d2o.learn.nn.masks.IndexMaskTest.x">x (d2o.learn.nn.masks.IndexMaskTest attribute)</a>
  </dt>

  </dl></td>
</tr></table>

<h2 id="Z">Z</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="d2o.analyze.html#d2o.analyze.changedetection.ZScoreDetector">ZScoreDetector (class in d2o.analyze.changedetection)</a>
  </dt>

  </dl></td>
</tr></table>



           </div>
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2016, Chronos AS.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'1.0',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>